org.eclipse.ui

## Interface ISecondarySaveableSource

All Known Implementing Classes:
  PropertySheet

    public interface ISecondarySaveableSource

Interface for parts providing an adapter to `ISaveablePart` objects created or managed originally by other parts.

In case the same `ISaveablePart` object is created originally by a "primary" part and shown or edited by multiple parts, the "primary" part might want be the only UI element showing the "dirty" state in the UI.

This interface allows "primary" parts define the default behavior for all "secondary" parts; and allows "secondary" parts to override this and decide how they should behave and how they should be represented in the UI.

Parts implementing this interface directly are considered to be "secondary" parts and define only their own behavior.
Parts can also provide an adapter to this interface via `IAdaptable.getAdapter(Class)`. If such part is not implementing this interface directly, it can considered as primary "source" part, and can define a default behavior for all secondary parts.

Per default, dirty state of "secondary" parts is ignored by the framework.

Since:
  3.109

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isDirtyStateSupported()` Whether the dirty state changes should be supported by the framework if the part directly implements `ISecondarySaveableSource`.

### Method Detail

#### isDirtyStateSupported

    default boolean isDirtyStateSupported()

Whether the dirty state changes should be supported by the framework if the part directly implements `ISecondarySaveableSource`.

If the part providing the adapter is not implementing `ISecondarySaveableSource`, return value defines the default behavior of "secondary" parts connected to this part.

Returns:
  default implementation returns `false`